


# Copyright 2017 Joshua R. Davis
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.



# This file is nothing more than a convenient way to load our entire R library and its dependencies (excluding the C part).



# Load external libraries. For example, expm must be loaded before def.R, because the latter defines defExp to be expm.
library("rgl")
library("fields")
library("MASS")
library("ICSNP")
#library("FRB")
library("expm")
library("Directional")
library("pracma")

# Load our geologyGeometry library, excluding the C part.
source("library/miscellany.R")
source("library/ray.R")
source("library/rayFisher.R")
source("library/rayFisherVw.R")
source("library/rayWellner.R")
source("library/rayRegression.R")
source("library/rayPlot.R")
source("library/ray2D.R")
source("library/line.R")
source("library/lineUniform.R")
source("library/lineWatson.R")
source("library/lineBingham.R")
source("library/lineRegression.R")
source("library/lineWellner.R")
source("library/linePlot.R")
source("library/line2D.R")
source("library/rot.R")
source("library/rotRancourt.R")
source("library/rotUniform.R")
source("library/rotFisher.R")
source("library/rotRegression.R")
source("library/rotPlot.R")
source("library/ori.R")
source("library/oriRegression.R")
source("library/oriPlot.R")
source("library/ell.R")
source("library/ellSPO.R")
source("library/ellPlot.R")
source("library/def.R")
source("library/defHomogeneous.R")
source("library/defJeffery.R")
source("library/defEshelby.R")
source("library/geology.R")


